#include<bits/stdc++.h>
using namespace std;
int main()
{
    int n,k,br=1,s=0;
    cin>>n>>k;
    int a[n],b[n];
    for(int i=0;i<n;i++)
        cin>>a[i];
    sort(a,a+n);
    for(int i=0;i<n-1;i++)
    {
        if(a[i]==a[i+1]) br++;
        else
        {
            if(br>=k) {b[s]=a[i];s++;}
            if(i==(n-2)) s--;
            br=1;
        }
    }
    if(br>=k)
    {
        b[s]=a[n-1];
    }
    cout<<s+1<<endl;
    for(int i=0;i<s+1;i++)
    cout<<b[i]<<" ";
}